package body MSHTML.IHTMLDOMAttribute4_Object is

   procedure Put_nodeValue
     (This : IHTMLDOMAttribute4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDOMAttribute4_Put_nodeValue,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_nodeValue;

   function Get_nodeValue
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_nodeValue);
   end Get_nodeValue;

   function Get_nodeName
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_nodeName);
   end Get_nodeName;

   function Get_name
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_name);
   end Get_name;

   procedure Put_value
     (This : IHTMLDOMAttribute4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLDOMAttribute4_Put_value,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_value;

   function Get_value
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_value);
   end Get_value;

   function Get_firstChild
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_firstChild);
   end Get_firstChild;

   function Get_lastChild
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_lastChild);
   end Get_lastChild;

   function Get_childNodes
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_childNodes);
   end Get_childNodes;

   function hasAttributes
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLDOMAttribute4_hasAttributes);
   end hasAttributes;

   function hasChildNodes
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLDOMAttribute4_hasChildNodes);
   end hasChildNodes;

   procedure normalize
     (This : IHTMLDOMAttribute4_Type)
   is
   begin
      Invoke (This, IHTMLDOMAttribute4_normalize);
   end normalize;

   function Get_specified
     (This : IHTMLDOMAttribute4_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLDOMAttribute4_Get_specified);
   end Get_specified;

end MSHTML.IHTMLDOMAttribute4_Object;

